## org.exist.xmldb
Interface IndexQueryService

All Superinterfaces:
  Configurable, Service

All Known Implementing Classes:
  LocalIndexQueryService, RemoteIndexQueryService

public interface IndexQueryService
extends Service

Provides additional methods related to eXist's indexing system.

Author:
  wolf

Method Summary
`void` `configureCollection(java.lang.String configData)`
`Occurrences[]` `getIndexedElements(boolean inclusive)` Returns frequency statistics on all elements and attributes contained in the structure index for the current collection.
`void` `reindexCollection()` Reindex the current collection, i.e.
`void` `reindexCollection(java.lang.String collectionPath)` Deprecated. Use XmldbURI version instead
`void` `reindexCollection(XmldbURI collectionPath)` Reindex the collection specified by its path.
`Occurrences[]` `scanIndexTerms(java.lang.String start, java.lang.String end, boolean inclusive)` Queries the fulltext index to retrieve information on indexed words contained in the index for the current collection.
`Occurrences[]` `scanIndexTerms(java.lang.String xpath, java.lang.String start, java.lang.String end)` Queries the fulltext index to retrieve information on indexed words occurring within the set of nodes identified by a given XPath expression.

Methods inherited from interface org.xmldb.api.base.Service
`getName, getVersion, setCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Method Detail

### configureCollection

    public void configureCollection(java.lang.String configData)
                             throws XMLDBException

  Throws:
    `XMLDBException`

### reindexCollection

    public void reindexCollection()
                           throws XMLDBException

  Reindex the current collection, i.e. the collection from which this service has been retrieved.

  Throws:
    `XMLDBException`

### reindexCollection

    public void reindexCollection(java.lang.String collectionPath)
                           throws XMLDBException

  Deprecated. Use XmldbURI version instead

  Reindex the collection specified by its path.

  Parameters:
    `collectionPath` -
  Throws:
    `XMLDBException`

### reindexCollection

    public void reindexCollection(XmldbURI collectionPath)
                           throws XMLDBException

  Reindex the collection specified by its path.

  Parameters:
    `collectionPath` -
  Throws:
    `XMLDBException`

### getIndexedElements

    public Occurrences[] getIndexedElements(boolean inclusive)
                                     throws XMLDBException

  Returns frequency statistics on all elements and attributes contained in the structure index for the current collection.

  Parameters:
    `inclusive` -
  Throws:
    `XMLDBException`

### scanIndexTerms

    public Occurrences[] scanIndexTerms(java.lang.String start,
                                        java.lang.String end,
                                        boolean inclusive)
                                 throws XMLDBException

  Queries the fulltext index to retrieve information on indexed words contained in the index for the current collection. Returns a list of `Occurrences` for all words contained in the index. If param end is null, all words starting with the string sequence param start are returned. Otherwise, the method returns all words that come after start and before end in lexical order.

  Parameters:
    `start` -
    `end` -
    `inclusive` -
  Throws:
    `XMLDBException`

### scanIndexTerms

    public Occurrences[] scanIndexTerms(java.lang.String xpath,
                                        java.lang.String start,
                                        java.lang.String end)
                                 throws XMLDBException

  Queries the fulltext index to retrieve information on indexed words occurring within the set of nodes identified by a given XPath expression. Returns a list of `Occurrences` for all words contained in the index. If param end is null, all words starting with the string sequence param start are returned. Otherwise, the method returns all words that come after start and before end in lexical order.

  Parameters:
    `xpath` -
    `start` -
    `end` -
  Throws:
    `XMLDBException`

Copyright (C) Wolfgang Meier. All rights reserved.